Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589383 - Show the install date of each RPM
Summary: Show the install date of each RPM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 02:27 UTC by Matt McCutchen
Modified: 2010-08-06 19:55 UTC (History)
1 user (show)

Fixed In Version: fedora-easy-karma-0-0.6.20100629git0e80f096.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 18:52:25 UTC


Attachments (Terms of Use)
Show the install date (deleted)
2010-05-06 12:15 UTC, Matt McCutchen
no flags Details | Diff

Description Matt McCutchen 2010-05-06 02:27:19 UTC
Description of problem:
fedora-easy-karma should show the install date of each RPM from a test update.  I need to see whether I have been using the update for long enough to justify a "+1, no regressions" comment.  Currently, I am running "rpm -qi" manually in another terminal, which makes the process much slower.

Version-Release number of selected component (if applicable):
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12

Comment 1 Till Maas 2010-05-06 09:31:32 UTC
Is it maybe enough for you to run f-e-k with "--installed-min-days N" to only get asked for updates containing rpms that are installed for at least N days?

Comment 2 Matt McCutchen 2010-05-06 11:02:52 UTC
I could use that option, but I would rather make a judgment for each update than set a fixed minimum number of days.

Comment 3 Matt McCutchen 2010-05-06 12:15:19 UTC
Created attachment 411976 [details]
Show the install date

Here is a simple patch to show the install date, which I think I will use.  There may be a cleaner way to express it.

Comment 4 Till Maas 2010-05-08 20:12:00 UTC
I committed a patch to the git repo that shows the install age instead of the date, is this ok with you? It will be displayed like: "(installed 2 days ago)"

You can test it with:
1) git clone git://fedorapeople.org/home/fedora/till/public_git/fedora-easy-karma.git
2) fedora-easy-karma/fedora-easy-karma.py

Comment 5 Matt McCutchen 2010-05-09 21:41:03 UTC
Yes, it looks good.  Thanks.  (I only did the date because it was easy, as a proof of concept.  The age in days is better.)

Comment 6 Fedora Update System 2010-06-29 20:21:02 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc12

Comment 7 Fedora Update System 2010-06-29 20:21:11 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc13

Comment 8 Fedora Update System 2010-06-30 15:07:40 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc12

Comment 9 Fedora Update System 2010-06-30 15:08:15 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc13

Comment 10 Fedora Update System 2010-07-01 18:52:17 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-02 21:39:25 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1

Comment 12 Fedora Update System 2010-07-05 22:03:50 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-06 19:55:38 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.